from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XAccessibleImage(XInterface, Protocol):
    def getAccessibleImageDescription(self) -> str: ...
    def getAccessibleImageHeight(self) -> int: ...
    def getAccessibleImageWidth(self) -> int: ...
